%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:       Simple menu editor for MATE
Name:          mozo
Version:       1.28.0
Release:       %mkrel 2
Group:         System/Configuration
License:       LGPLv2+
URL:           https://mate-desktop.org/
Source0:       https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:     noarch

BuildRequires: intltool
BuildRequires: pkgconfig(libmate-menu) >= %{url_ver}
BuildRequires: pkgconfig(pygobject-3.0)
Provides:      mate-menu-editor = %{version}-%{release}

%description
Mozo is a menu editor for MATE that lets you get things done,
simply and quickly.

Just click and type to edit, add, and delete any menu entry.

%prep
%autosetup

%build
%configure
%make_build

%py3_shebang_fix mozo

%install
%make_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README AUTHORS
%{python3_sitelib}/*
%{_bindir}/mozo
%{_datadir}/applications/*
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/mozo.1*


%changelog
* Fri Mar 14 2025 daviddavid <daviddavid> 1.28.0-2.mga10
+ Revision: 2163776
- rebuild for python 3.13

* Sun Mar 24 2024 wally <wally> 1.28.0-1.mga10
+ Revision: 2051813
- new version 1.28.0

* Tue Jan 09 2024 papoteur <papoteur> 1.26.1-4.mga10
+ Revision: 2029114
- rebuild for python 3.12

* Thu Mar 31 2022 umeabot <umeabot> 1.26.1-3.mga9
+ Revision: 1836423
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 tv <tv> 1.26.1-2.mga9
+ Revision: 1786783
- Rebuild for python-3.10

* Tue Nov 16 2021 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1757101
- Update to version 1.26.1

* Mon Aug 09 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740872
- new version 1.26.0

* Mon Apr 05 2021 kekepower <kekepower> 1.24.1-1.mga9
+ Revision: 1713567
- Update to version 1.24.1

* Wed Apr 01 2020 danf <danf> 1.24.0-2.mga9
+ Revision: 1563740
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548099
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488748
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465692
- Update to version 1.22.2

* Sun Sep 22 2019 daviddavid <daviddavid> 1.22.1-2.mga8
+ Revision: 1444610
- rebuild for python3.8

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397037
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375515
- Update to version 1.22.0

* Wed Dec 26 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1345157
- Update to version 1.20.2

* Sat Dec 01 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1337270
- Update to version 1.20.1
- Rolled back to r1279955

* Mon Nov 26 2018 kekepower <kekepower> 1.21.0-1.mga7
+ Revision: 1335679
- BR python3
- Fix file list
- Update to version 1.21.2

* Thu Sep 20 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1279955
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201495
- Updated to 1.20.0 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174763
- Update to 1.19.0 version

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092648
- Update to 1.18.0 version
- Updated to 1.17.0 version

* Wed Dec 14 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1075157
- new version 1.16.0

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001479
- Update to 1.14.0 version

* Sun Mar 06 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 986325
- Update to 1.13.1 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 950115
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898522
-Update to 1.12.0 version

* Tue Sep 01 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 872011
- new version 1.10.1

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 838513
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-5.mga5
+ Revision: 747155
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.0-4.mga5
+ Revision: 727351
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 682620
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600109
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598081
- imported package mozo

